Create a table property (column)
curl --request POST \
--url https://connie.ai/api/tables/{id}/properties \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"position": 1,
"is_hidden": true
}
'import requests
url = "https://connie.ai/api/tables/{id}/properties"
payload = {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"position": 1,
"is_hidden": True
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
config: {},
position: 1,
is_hidden: true
})
};
fetch('https://connie.ai/api/tables/{id}/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"property": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table_id": "<string>",
"name": "<string>",
"type": "<string>",
"config": {},
"position": 123,
"is_hidden": true
}
}Table Properties
Create a table property (column)
POST
/
tables
/
{id}
/
properties
Create a table property (column)
Authorizations
Path Parameters
Body
application/json
Response
201 - application/json
Property created
Show child attributes
Show child attributes